﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace DataServices
{
    public abstract class DataBase:IDisposable
    {
        private string conStr;

        public string ConStr
        {
            get { return conStr; }
            set { conStr = value; }
        }
        private string  dataFile;

        public string  DataFile
        {
            get { return dataFile; }
            set { dataFile = value; }
        }
        private bool isAlwaysOpen = false;//一直关闭

        public bool IsAlwaysOpen
        {
            get { return isAlwaysOpen; }
            set { isAlwaysOpen = value; }
        }
       
        public abstract void Open();
        public abstract void Open(string dataSource,string dataFile, string userName=null, string passWord="");
        public abstract void Open(string fileName);
        public abstract void Close();
        
        public abstract void ExecuteNonQuery(string sqlCommand);
        public abstract object Execute(string sqlCommand);
        public abstract void ExecuteNonQuery(string sqlCommand,string conStr);
        public abstract object Execute(string sqlCommand,string conStr);
        public virtual void Dispose()
        {
            
        }
    }
}
