﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data.SqlClient;

namespace AGV_WPF
{
    /// <summary>
    /// HostRouteManage.xaml 的交互逻辑
    /// </summary>
    public partial class HostRouteManage : Page
    {
        public HostRouteManage()
        {
            InitializeComponent();
        }
        private void LoadRoute()
        {
            DAL.ZSql sql1 = new DAL.ZSql();
            sql1.Open("select l.*  from T_HostToRelease as l");

            dataGrid1.ItemsSource = sql1.m_table.DefaultView;
            sql1.Close();
        }

        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            string strhostroute = textBox1.Text.ToString().Trim();
            string strreleaseRoute = textBox2.Text.ToString().Trim();
            DAL.ZSql sql = new DAL.ZSql();
            sql.Open("insert into T_HostToRelease (HostRoute,ReleaseRoute) Values (@hostRoute,@releaseRoute)",
                       new SqlParameter[]{
                                                    new SqlParameter("hostRoute",strhostroute),
                                                    new SqlParameter("releaseRoute",strreleaseRoute)
                                                    
                                });
            sql.Close();
            LoadRoute();
            
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            LoadRoute();
        }
    }
}
