﻿using System;
using System.Collections.Generic;
using System.Windows.Data;

namespace AGV_WPF
{
    public class ColorConverter : IValueConverter
    {
        public object Convert(object value, Type typeTarget, object param, System.Globalization.CultureInfo culture)
        {
            string str = System.Convert.ToString(value);
            
            if (str.Length>2 && str.Substring(str.Length-2,2) == "报警")
            {
                return "#FFFFB100";
            }
            switch (str)
            {
                case "null":
                    return "Black";
                case "成功":
                    return "Green";
                case "失败":
                    return "Red";
                case "管制中":
                    return "Yellow";
                case "非管制":
                    return "Green";
                case "低速":
                    return "#FFF06F6F";
                case "中速":
                    return "#FFF04D4D";
                case "高速":
                    return "#FFF32929";
                case "最高速":
                    return "#FFFA0A0A";
                case "减速":
                    return "#FFF38383";
                case "运行":
                    return "Green";
                case "暂停":
                    return "Red";
                case "结束地标停止":
                    return "Orange";
                case "充电中":
                    return "Cyan";
                 default:
                    return "Black";
            }
        }

        public object ConvertBack(object value, Type typeTarget, object param, System.Globalization.CultureInfo culture)
        {
            return "";
        }
    }
    
}
