﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AGV_WPF.Tools
{
    public class BatteryData
    {
        private ushort agvNum;

        public ushort AgvNum
        {
            get { return agvNum; }
            set
            {
                if (agvNum != value)
                {
                    agvNum = value;
                }
            }
        }
        
        private byte bmsAlarm;

        public byte BMSAlarm
        {
            get { return bmsAlarm; }
            set
            {
                if (bmsAlarm != value)
                {
                    bmsAlarm = value;
                }
            }
        }
        private byte bmsCommand;

        public byte BMSCommand
        {
            get { return bmsCommand; }
            set
            {
                if (bmsCommand != value)
                {
                    bmsCommand = value;
                }
            }
        }
        private ushort voltage;
        /// <summary>
        /// 电压，mV
        /// </summary>
        public ushort Voltage
        {
            get { return voltage; }
            set
            {
                if (voltage != value)
                {
                    voltage = value;
                }
            }
        }
        private sbyte temprature;
        /// <summary>
        /// -127~127
        /// </summary>
        public sbyte Temprature
        {
            get { return temprature; }
            set
            {
                if (temprature != value)
                {
                    temprature = value;
                }
            }
        }
        private byte soc;

        public byte SOC
        {
            get { return soc; }
            set
            {
                if (soc != value)
                {
                    soc = value;
                }
            }
        }
        private ushort month;
        /// <summary>
        /// 使用月数
        /// </summary>
        public ushort Month
        {
            get { return month; }
            set
            {
                if (month != value)
                {
                    month = value;
                }
            }
        }
        private ushort date;

        public ushort Date
        {
            get { return date; }
            set
            {
                if (date != value)
                {
                    date = value;
                }
            }
        }
        private ushort current;
        /// <summary>
        /// 电流
        /// </summary>
        public ushort Current
        {
            get { return current; }
            set
            {
                if (current != value)
                {
                    current = value;
                }
            }
        }
        private ushort batteryId;

        public ushort BatteryId
        {
            get { return batteryId; }
            set
            {
                if (batteryId != value)
                {
                    batteryId = value;
                }
            }
        }
        private ushort cell1Voltage;

        public ushort Cell1Voltage
        {
            get { return cell1Voltage; }
            set
            {
                if (cell1Voltage != value)
                {
                    cell1Voltage = value;
                }
            }
        }
        private ushort cell2Voltage;

        public ushort Cell2Voltage
        {
            get { return cell2Voltage; }
            set
            {
                if (cell2Voltage != value)
                {
                    cell2Voltage = value;
                }
            }
        }
        private ushort cell3Voltage;

        public ushort Cell3Voltage
        {
            get { return cell3Voltage; }
            set
            {
                if (cell3Voltage != value)
                {
                    cell3Voltage = value;
                }
            }
        }
        private ushort cell4Voltage;

        public ushort Cell4Voltage
        {
            get { return cell4Voltage; }
            set
            {
                if (cell4Voltage != value)
                {
                    cell4Voltage = value;
                }
            }
        }
        private ushort cell5Voltage;

        public ushort Cell5Voltage
        {
            get { return cell5Voltage; }
            set
            {
                if (cell5Voltage != value)
                {
                    cell5Voltage = value;
                }
            }
        }
        private ushort cell6Voltage;

        public ushort Cell6Voltage
        {
            get { return cell6Voltage; }
            set
            {
                if (cell6Voltage != value)
                {
                    cell6Voltage = value;
                }
            }
        }
        private ushort cell7Voltage;

        public ushort Cell7Voltage
        {
            get { return cell7Voltage; }
            set
            {
                if (cell7Voltage != value)
                {
                    cell7Voltage = value;
                }
            }
        }
        private sbyte cell1Temp;

        public sbyte Cell1Temp
        {
            get { return cell1Temp; }
            set
            {
                if (cell1Temp != value)
                {
                    cell1Temp = value;
                }
            }
        }
        private sbyte cell2Temp;

        public sbyte Cell2Temp
        {
            get { return cell2Temp; }
            set
            {
                if (cell2Temp != value)
                {
                    cell2Temp = value;
                }
            }
        }
        private sbyte cell3Temp;

        public sbyte Cell3Temp
        {
            get { return cell3Temp; }
            set
            {
                if (cell3Temp != value)
                {
                    cell3Temp = value;
                }
            }
        }
        private sbyte cell4Temp;

        public sbyte Cell4Temp
        {
            get { return cell4Temp; }
            set
            {
                if (cell4Temp != value)
                {
                    cell4Temp = value;
                }
            }
        }
        private sbyte cell5Temp;

        public sbyte Cell5Temp
        {
            get { return cell5Temp; }
            set
            {
                if (cell5Temp != value)
                {
                    cell5Temp = value;
                }
            }
        }
        private sbyte cell6Temp;

        public sbyte Cell6Temp
        {
            get { return cell6Temp; }
            set
            {
                if (cell6Temp != value)
                {
                    cell6Temp = value;
                }
            }
        }
        private sbyte cell7Temp;

        public sbyte Cell7Temp
        {
            get { return cell7Temp; }
            set
            {
                if (cell7Temp != value)
                {
                    cell7Temp = value;
                }
            }
        }
        
        
        
    }
}
