﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace AgvAlarmServiceLibrary
{
    [DataContract]
    public class AlarmInfo
    {

        private int agvId;
        /// <summary>
        /// 报警AGV编号
        /// </summary>
        [DataMember]
        public int AgvId
        {
            get { return agvId; }
            set { agvId = value; }
        }

        private int route;
        /// <summary>
        /// 报警路线
        /// </summary>
        [DataMember]
        public int Route
        {
            get { return route; }
            set { route = value; }
        }

        private int mark;
        /// <summary>
        /// 报警地标
        /// </summary>
        [DataMember]
        public int Mark
        {
            get { return mark; }
            set { mark = value; }
        }

        private string type;
        /// <summary>
        /// 报警类型
        /// </summary>
        [DataMember]
        public string Type
        {
            get { return type; }
            set { type = value; }
        }
        private string alarmTime;
        /// <summary>
        /// 报警时间
        /// </summary>
        [DataMember]
        public string AlarmTime
        {
            get { return alarmTime; }
            set { alarmTime = value; }
        }
        
        private int workline;
        /// <summary>
        /// 报警生产区
        /// </summary>
        [DataMember]
        public int WorkLine
        {
            get { return workline; }
            set { workline = value; }
        }

        private string area;
        /// <summary>
        /// 报警区域
        /// </summary>
        [DataMember]
        public string Area
        {
            get { return area; }
            set { area = value; }
        }
        

        
        
    }
}
